Bug 1778579 - Nautilus does not respect umask settings.
Summary: Nautilus does not respect umask settings.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nautilus
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1825061
TreeView+ depends on / blocked
 
Reported: 2019-12-02 05:09 UTC by Vishal Pakolu
Modified: 2020-11-04 01:36 UTC (History)
3 users (show)

Fixed In Version: nautilus-3.28.1-13.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:52 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME nautilus merge_requests 497 0 None None None 2019-12-02 10:22:46 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:17 UTC

Description Vishal Pakolu 2019-12-02 05:09:37 UTC
Description of problem:
Nautilus does not respect umask settings.

Version-Release number of selected component (if applicable):
nautilus-3.26.3.1-7.el7.x86_64

How reproducible: 
Not always reproducible, is reproducible on few systems and not on few.


Steps to Reproduce:
===
$ umask
0002
$ touch a
$ ls -l
total 1
-rw-rw-r--. 1 user user 0 Sep 27 10:26 a

$ nautilus <------ created a empty file here in same directory and nautilus started from same cli.
$ ls -l
total 11
-rw-rw-r--. 1 user user 0 Sep 27 10:26 a
-rw-r--r--. 1 user user 8295 Apr 30 2018 New Document.odt
===

Actual results:
Permissions of both the files generated from cli and from nautilus are not same.

Expected results:
Permissions of both the files generated from cli and from nautilus should be same, as set by umask setting.

Additional info:
The reason why it seemingly works in some cases is maybe because
the new files are just copies of ~/Templates files and it is possible
that those template files have different permissions on different
systems for some reason.

Comment 10 errata-xmlrpc 2020-11-04 01:34:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.